Skip to main content
GET
/
v1
/
google
/
shopping
/
search
Search Google Shopping
curl --request GET \
  --url https://scrapebadger.com/v1/google/shopping/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://scrapebadger.com/v1/google/shopping/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://scrapebadger.com/v1/google/shopping/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pagination": {
    "current": 1,
    "next": "<string>",
    "total_results": 123,
    "total_pages": 123,
    "page_no": {}
  },
  "results": [
    {
      "title": "<string>",
      "position": 123,
      "product_id": "<string>",
      "price": {
        "value": 123,
        "currency": "<string>",
        "extracted": "<string>"
      },
      "old_price": "<string>",
      "old_price_extracted": 123,
      "on_sale": false,
      "tag": "<string>",
      "rating": 123,
      "reviews": "<string>",
      "reviews_count": 123,
      "source": "<string>",
      "source_icon": "<string>",
      "thumbnail": "<string>",
      "link": "<string>",
      "click_link": "<string>",
      "page_token": "<string>",
      "delivery": "<string>",
      "return_policy": "<string>",
      "extensions": [
        "<string>"
      ]
    }
  ],
  "filters": [
    {
      "name": "<string>",
      "options": [
        {
          "label": "<string>",
          "value": "<string>",
          "type": "<string>",
          "aria_label": "<string>"
        }
      ]
    }
  ],
  "ads": [
    {
      "title": "<string>",
      "position": 123,
      "product_id": "<string>",
      "price": {
        "value": 123,
        "currency": "<string>",
        "extracted": "<string>"
      },
      "old_price": "<string>",
      "old_price_extracted": 123,
      "on_sale": false,
      "tag": "<string>",
      "rating": 123,
      "reviews": "<string>",
      "reviews_count": 123,
      "source": "<string>",
      "source_icon": "<string>",
      "thumbnail": "<string>",
      "link": "<string>",
      "click_link": "<string>",
      "page_token": "<string>",
      "delivery": "<string>",
      "return_policy": "<string>",
      "extensions": [
        "<string>"
      ]
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Query Parameters

q
string
required

Product search query

gl
string
default:us

Country code

hl
string
default:en

Language code

min_price
integer | null

Minimum price

max_price
integer | null

Maximum price

sort_by
string | null

Sort: price_low, price_high, rating, reviews

free_shipping
boolean
default:false

Free shipping filter

on_sale
boolean
default:false

On sale filter

start
integer
default:0

Pagination offset

Required range: x >= 0

Response

Successful Response

Response for GET /api/v1/shopping/search.

pagination
Pagination · object
required

Pagination metadata.

results
ShoppingProductResult · object[]
filters
ShoppingFilter · object[]
ads
ShoppingProductResult · object[]